MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions | Friends
DeferredMonitor Class Referenceabstract

Defer execution of an event into an EventLoop. More...

`#include <DeferredMonitor.hxx>`

Inheritance diagram for DeferredMonitor:
[legend]

## Public Member Functions
| DeferredMonitor (EventLoop &_loop)
| ~DeferredMonitor ()
EventLoop & | GetEventLoop ()
void | Schedule ()
void | Cancel ()

## Protected Member Functions
virtual void | RunDeferred ()=0

## Friends
class | EventLoop

## Detailed Description

Defer execution of an event into an EventLoop.

This class is thread-safe.

Definition at line 32 of file DeferredMonitor.hxx.

## Constructor & Destructor Documentation

DeferredMonitor::DeferredMonitor | ( | EventLoop & | _loop | ) |
| inline

Definition at line 39 of file DeferredMonitor.hxx.

DeferredMonitor::~DeferredMonitor | ( |  | ) |
| inline

Definition at line 42 of file DeferredMonitor.hxx.

## Member Function Documentation

void DeferredMonitor::Cancel | ( |  | ) |

EventLoop& DeferredMonitor::GetEventLoop | ( |  | ) |
| inline

Definition at line 46 of file DeferredMonitor.hxx.

virtual void DeferredMonitor::RunDeferred | ( |  | ) |
| protected pure virtual

Implemented in MaskMonitor, and DeferredCall.

void DeferredMonitor::Schedule | ( |  | ) |

## Friends And Related Function Documentation

friend class EventLoop
| friend

Definition at line 35 of file DeferredMonitor.hxx.

The documentation for this class was generated from the following file:

- event/DeferredMonitor.hxx